#include "widget.h"
#include "ui_widget.h"

Widget::Widget(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::Widget)
{
    ui->setupUi(this);
    connect(ui->dial,SIGNAL(valueChanged(int)),this,SLOT(prepareData(int)));
    connect(this,SIGNAL(valueChanged_(int,QString)),this,SLOT(setupLabel(int,QString)));
}

Widget::~Widget()
{
    delete ui;
}


void Widget::prepareData(int Value)
{
    if (Value < 50)
        emit this->valueChanged_(Value,"Less than 50");
       else if (Value >50)
           emit this->valueChanged_(Value,"Greater than 50");
}

void Widget::setupLabel(int val, QString str)
{
    ui->label->setText(QString::number(val)+" is "+ str);
}
